Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QLocalFs Class Reference

The QLocalFs class is an implementation of a QNetworkProtocol that works on the local file system. More...

    #include <QLocalFs>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QNetworkProtocol.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QLocalFs ()

- 9 public functions inherited from QNetworkProtocol
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 10 signals inherited from QNetworkProtocol
- 1 signal inherited from QObject

### Static Public Members

- 3 static public members inherited from QNetworkProtocol
- 4 static public members inherited from QObject

### Protected Functions

- 7 protected functions inherited from QNetworkProtocol
- 9 protected functions inherited from QObject

## Detailed Description

The QLocalFs class is an implementation of a QNetworkProtocol that works on the local file system.

This class is derived from QNetworkProtocol. QLocalFs is not normally used directly, but rather through a QUrlOperator, for example:

        QUrlOperator op("file:///tmp");
        op.listChildren(); // Asks the server to provide a directory listing

This code will only work if the QLocalFs class is registered; to register the class, you must call qInitNetworkProtocols() before using a QUrlOperator with QLocalFs.

If you really need to use QLocalFs directly, don't forget to set its QUrlOperator with setUrl().

See also Qt Network Documentation, QNetworkProtocol, and QUrlOperator.

## Member Function Documentation

### QLocalFs::QLocalFs ()

Constructor.